Page MenuHomeFreeBSD

games/openrct2: move title-sequence and objects to the port, update to 0.2.2, fix build with big-endian architectures, change maintainer
ClosedPublic

Authored by pkubaj on Apr 17 2019, 7:34 PM.

Details

Summary

Update to the newest version, 0.2.2.
Include objects (1.0.10) and title-sequences (0.1.2a).
Add patch for compatibility with big-endian architectures.
Change maintainer to pkubaj@FreeBSD.org from my previous email.

Test Plan

Build on amd64 and powerpc64.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.Apr 17 2019, 7:34 PM
Harbormaster completed remote builds in B23718: Diff 56306.
mat added inline comments.Apr 18 2019, 12:59 PM
games/openrct2/Makefile
26 ↗(On Diff #56306)

This should not have been removed.

37–45 ↗(On Diff #56306)

All those were at the right place, before OPTIONS_DEFINE.

pkubaj updated this revision to Diff 56356.Apr 18 2019, 4:46 PM

Add GH_ACCOUNT, reorder Makefile:37-45.

pkubaj updated this revision to Diff 56592.Apr 24 2019, 5:25 PM

Update distinfo.

pkubaj updated this revision to Diff 56714.Apr 26 2019, 3:15 PM

Is there anything missing or wrong?

I'd like to get it committed soon, this issue is taking too long.

pkubaj marked 2 inline comments as done.Apr 27 2019, 10:11 AM
mat added inline comments.Apr 30 2019, 2:06 PM
games/openrct2/Makefile
42 ↗(On Diff #56714)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

pkubaj updated this revision to Diff 56876.Apr 30 2019, 7:02 PM

Move PORTDOCS.

mat added inline comments.May 1 2019, 6:58 AM
games/openrct2/Makefile
43 ↗(On Diff #56876)

The OPTIONS_DEFINE line is still too early. See Chapter 15. Order of Variables in Port Makefiles.

pkubaj updated this revision to Diff 56929.May 1 2019, 8:25 PM

Move OPTIONS_DEFINE.

mat added inline comments.May 2 2019, 7:50 AM
games/openrct2/files/pkg-message.in
1–6 ↗(On Diff #56929)

This file no longer has any replacements, it should be moved to the ports directory without the .in suffix.

pkubaj updated this revision to Diff 56985.May 2 2019, 10:09 PM

Move files/pkg-message.in to pkg-message and remove pkg-message from Makefile.

mat accepted this revision.May 3 2019, 6:48 AM
This revision is now accepted and ready to land.May 3 2019, 6:48 AM
This revision was automatically updated to reflect the committed changes.